<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Oganikku</title>
    <!-- CSS only -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

  </head>
  <style>
    .grid-container {
      display: grid;
      grid-template-columns: 23% 77%;
    }
    .no-outline:focus {
        outline: none;
   
      }
    .card-product {
      width: 350px;
      height: 450px;
      background-color: white;
      margin-left: 5%;
      border-radius: 15px;
    }
    .content-section{
      
      text-align: center;
      background-color: #ececec;
      opacity: 0.6;  
      border-radius: 13px;
      border: 1px solid #ececec;
    }
    .bg{
        background: url(static/images/testProduct.jpg);
    }
    .inp-product-form{
      display: flex;
      justify-content: space-between;
      padding-left: 20px;
      padding-right: 20px;
      
    }
    .inp-product-form-input{
      margin-right: 5px;
      padding: 5px;
      border-top-style: hidden;
      border-left-style: hidden;
      border-right-style: hidden;
    }
    .Filltype-container{
      padding-left: 20px;
      padding-right: 20px;
      font-size: 15px;
      margin-top: 10px;
    }
  </style>
  <body style="background-color: #ececec;overflow-x: hidden;">
    <div class="grid-container">
      <div>{% include 'sidebar.html' %}</div>
      <div
        style="
          background-color: #ececec;
        
          height: 100vh;
        "
      >
        <div class="head-section" style="margin-top: 4%; margin-left: 4%">
          <span onclick="backTomain()"
            style="background-color: white; padding: 9px; border-radius: 10px;cursor: pointer;"
          >
            <img
              src="{{url_for('static', filename = 'images/left-arrow.png')}}"
              alt=""
              srcset=""
              style="width: 21px; height: 13px; padding-left: 4px"
            />
          </span>
          <span
            style="
              padding-left: 10px;
              font-family: Century Gothic;
              font-size: 20px;
              font-weight: bold;
              color: #757575;
            "
          >
            {{item_type}}
          </span>
        </div>
        <div
          style="
            color: black;
            font-weight: bold;
            font-size: 35px;
            margin-left: 4%;
            margin-top: 4%;
          "
        >
        {{item_type}}
        {% if current_user.is_admin() %}
        <span style="">
          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">
            Add
          </button>

        </span>
        {% endif %}
        </div>
        <!-- Modal -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel" style="text-align: center;  font-family: Century Gothic;color: #7B7B7B;">Add Product</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <form id="add_new_product_form" action="{{url_for('admin.add_new_product')}}" method="POST" enctype="multipart/form-data">
            
                <div class="modal-body">

              
                
                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      Product
                    </div>
                    <div >
                      <input
                      type="text"
                      name="name"
                      class="no-outline inp-product-form-input"
                      placeholder="Banana,Apple"
                      required
                    />
                    </div>
                  </div>

                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      price (Bath/KG)
                    </div>
                    <div >
                      <input
                      type="number"
                      name="price"
                      class="no-outline  inp-product-form-input"
                      value="1"
                      required
                    />
                    </div>
                  </div>


                  <div class="inp-product-form">
                    <div style="padding-top: 5px;">
                      Choose a type
                    </div>
                    <div >
                      <select id="cars" name="item_type" class=" inp-product-form-input" style="    
                     
                      width: 190px;
                     ;">
                      <option value="fruits">Fruits</option>
                      <option value="vegetables">Vegetables</option>
                      <option value="seasonal">Seasonal</option>
                      </select>
                    </div>
                  </div>

                  <hr style="background-color:#ececec ;height: 2px;padding-left: 20px;padding-right: 20px;">


                  <div class="Filltype-container">
                    <div style="font-size: 20px; margin-bottom: 2px;width: 100%;">Preview product</div>
                    <div>
                      <input
                      type="file"
                      name = "image_preview"
                      id="product_image_preview"
                      title=" "
                      required
                    />
                    </div>
                  </div>

              
                  <div class="Filltype-container">
                    <div style="font-size: 20px; margin-bottom: 2px;width: 100%;">Full image of product</div>
                    <div>
                      <input
                      type="file"
                      name = "image"
                      id="product_image"
                      title=" "
                      required
                    />
                    </div>
                  </div>

           
            
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <input type="submit" class="btn btn-primary" value="Save changes">
              </div>
           
           
           
           
           
           
           
           
            </form>
            </div>
          </div>
        </div>

        <div style="margin-top: 1%; width: 100%">
          <div class="card-container">
            <div class="row" style="margin-top:2%;">
              {% for item in items %}
              <div class="col-sm-12 col-md-4" style="margin-top:2%;">
                
                <div class="card-product">
                  <a href="{{url_for('shop_list.get_item_by_id',item_id=item.id,item_type=item.item_type)}}">
                    <div class="bg" style="height: 450px;border-radius: 15px;position: relative; ">
                      <img src="{{url_for('static', filename = 'images/preview_product/'+item.preview_image)}}" alt="" srcset="" style="width: 100%;height: 100%;border-radius: 15px;">  
                            <div                            
                             class="content-section"  style="z-index: 200;position: absolute;top: 333px;left: 70px;width: 200px;"  >
                               
                              <h2 style="color: black; opacity: 1;text-transform: uppercase;">
                                    {{ item.name }}
                                </h2>
                                <div style="color:black; opacity: 1;">
                                  {{ item.price }}฿/KG.
                                </div>
                            </div>
                    </div>
                  </a>
                  </div>

              </div>
              {% endfor %}
            
            </div>

            
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
<script>

  function backTomain(){
    window.location = "/";
  }
  function submit_new_item(){
    document.getElementById("add_new_product_form").submit();
  }
</script>
